GET
/v2/providers/marketplace_openapi/apis/api/v2/vendor/shipping-place/outbound2609170000發貨地址查詢
# 01
簡介
發貨地址查詢
# 02
詳細內容
API 適用的买方用户區域:韓國、台灣
您可查詢已註冊的發貨地列表。
也可使用發貨地名稱和發貨地程式碼查詢已註冊的發貨地資訊。
查詢發貨地資訊時使用的引數
1.查詢所有已註冊發貨地列表時:僅輸入pageNum和pageSize即可
2.只查詢所需的發貨地資訊時:僅輸入 placeNames 或 placeCodes即可
路徑
GET/v2/providers/marketplace_openapi/apis/api/v2/vendor/shipping-place/outbound
範例端點
https://api-gateway.coupang.com/v2/providers/marketplace_openapi/apis/api/v2/vendor/shipping-place/outbound?pageSize=50&pageNum=1# 03
回應內容
回應訊息
| Name | Type | Description |
|---|---|---|
| content | object[] | 發貨地列表資料
|
| outboundShippingPlaceCode content[].outboundShippingPlaceCode | integer | 發貨地程式碼
|
| shippingPlaceName content[].shippingPlaceName | string | 發貨地名稱 最多可輸入50個字元 |
| placeAddresses content[].placeAddresses | object[] | 發貨地址
|
| addressType content[].placeAddresses[].addressType | string | 地址型別 JIBUN, ROADNAME, OVERSEA |
| countryCode content[].placeAddresses[].countryCode | string | 國家程式碼(符合ISO-3166標準 ),有效長度: 2 。例如:韓國國內為“KR”, 臺灣地區為 “TW”
|
| companyContactNumber content[].placeAddresses[].companyContactNumber | string | 電話號碼 (格式需符合E.164標準)
|
| phoneNumber2 content[].placeAddresses[].phoneNumber2 | string | 備用電話號碼(格式:與電話號碼相同)
|
| returnZipCode content[].placeAddresses[].returnZipCode | string | 郵政編碼: 數字 5~6位數 |
| returnAddress content[].placeAddresses[].returnAddress | string | 地址,最長150個字元
|
| returnAddressDetail content[].placeAddresses[].returnAddressDetail | string | 詳細住址,最長200個字元
|
| remoteInfos content[].remoteInfos | object[] | 偏遠地區配送資訊
|
| remoteInfoId content[].remoteInfos[].remoteInfoId | number | 偏遠地區配送資訊ID
|
| deliveryCode content[].remoteInfos[].deliveryCode | string | 物流公司程式碼 發貨地建立API- 參考物流公司程式碼 |
| jejuFee content[].remoteInfos[].jejuFee | object | 濟州地區配送費
|
| currencyCode content[].remoteInfos[].jejuFee.currencyCode | string | 貨幣程式碼(符合ISO-4217標準),3位大寫字元
|
| units content[].remoteInfos[].jejuFee.units | number | 貨幣整數部分,64-bit
|
| nanos content[].remoteInfos[].jejuFee.nanos | number | 貨幣小數部分,32-bit,取值範圍 [-999999999, 999999999]
|
| notJeju content[].remoteInfos[].notJeju | object | 濟州地區外的配送費
|
| currencyCode content[].remoteInfos[].notJeju.currencyCode | string | 貨幣程式碼(符合ISO-4217標準),3位大寫字元
|
| units content[].remoteInfos[].notJeju.units | number | 貨幣整數部分,64-bit
|
| nanos content[].remoteInfos[].notJeju.nanos | number | 貨幣小數部分,32-bit,取值範圍 [-999999999, 999999999]
|
| usable content[].remoteInfos[].usable | boolean | 偏遠地區配送資訊是否有效 true or false |
| createDate content[].createDate | string | 建立日期 (符合ISO-8601標準) 格式:YYYY-MM-DD |
| usable content[].usable | boolean | 是否可用 true or false |
| pagination | object | 分頁
|
| currentPage pagination.currentPage | number | 當前頁 例) 1 |
| totalPages pagination.totalPages | number | 全部頁Count 例) 1000 |
| totalElements pagination.totalElements | number | 全部資料Count 例) 1000 |
| countPerPage pagination.countPerPage | number | 每頁資料Count 例) 10, 20, 30 |
# 04
錯誤碼
| HTTP | 代碼 | 訊息 |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
錯誤說明
| HTTP | 類型 | 錯誤訊息 | 解決方案 |
|---|---|---|---|
| 400 | 400 (確認請求引數) | (pageNum & pageSize) or placeCodes or placeNames must be provided to call this API | 請確認是否輸入了(pageNum & pageSize)或placeCodes, placeNames數值。 |